org.springframework.data.jdbc.core.mapping

## Class JdbcMappingContext

- java.lang.Object
- - org.springframework.data.mapping.context.AbstractMappingContext<RelationalPersistentEntity<?>,RelationalPersistentProperty>
  - - org.springframework.data.relational.core.mapping.RelationalMappingContext
    - - org.springframework.data.jdbc.core.mapping.JdbcMappingContext

All Implemented Interfaces:
  Aware, InitializingBean, ApplicationContextAware, ApplicationEventPublisherAware, MappingContext<RelationalPersistentEntity<?>,RelationalPersistentProperty>

    public class JdbcMappingContext
    extends RelationalMappingContext

`MappingContext` implementation for JDBC.

Author:
  Jens Schauder, Greg Turnquist, Kazuki Shimizu, Oliver Gierke, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`JdbcMappingContext()` Creates a new `JdbcMappingContext`.
`JdbcMappingContext(NamingStrategy namingStrategy)` Creates a new `JdbcMappingContext` using the given `NamingStrategy`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected <T> RelationalPersistentEntity<T>` `createPersistentEntity(TypeInformation<T> typeInformation)`
`protected RelationalPersistentProperty` `createPersistentProperty(Property property, RelationalPersistentEntity<?> owner, SimpleTypeHolder simpleTypeHolder)`
`protected boolean` `shouldCreatePersistentEntityFor(TypeInformation<?> type)`

### Methods inherited from class org.springframework.data.relational.core.mapping.RelationalMappingContext

`getNamingStrategy, isForceQuote, setForceQuote`

### Methods inherited from class org.springframework.data.mapping.context.AbstractMappingContext

`addPersistentEntity, addPersistentEntity, afterPropertiesSet, doFindPersistentPropertyPaths, findPersistentPropertyPaths, getManagedTypes, getPersistentEntities, getPersistentEntity, getPersistentEntity, getPersistentEntity, getPersistentPropertyPath, getPersistentPropertyPath, hasPersistentEntityFor, initialize, setApplicationContext, setApplicationEventPublisher, setInitialEntitySet, setSimpleTypeHolder, setStrict`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.mapping.context.MappingContext

`getRequiredPersistentEntity, getRequiredPersistentEntity, getRequiredPersistentEntity`

### Constructor Detail

#### JdbcMappingContext

    public JdbcMappingContext()

Creates a new `JdbcMappingContext`.

#### JdbcMappingContext

    public JdbcMappingContext(NamingStrategy namingStrategy)

Creates a new `JdbcMappingContext` using the given `NamingStrategy`.

Parameters:
  `namingStrategy` - must not be null.

### Method Detail

#### createPersistentEntity

    protected <T> RelationalPersistentEntity<T> createPersistentEntity(TypeInformation<T> typeInformation)

Overrides:
  `createPersistentEntity` in class `RelationalMappingContext`

#### createPersistentProperty

    protected RelationalPersistentProperty createPersistentProperty(Property property,
                                                                    RelationalPersistentEntity<?> owner,
                                                                    SimpleTypeHolder simpleTypeHolder)

Overrides:
  `createPersistentProperty` in class `RelationalMappingContext`

#### shouldCreatePersistentEntityFor

    protected boolean shouldCreatePersistentEntityFor(TypeInformation<?> type)

Overrides:
  `shouldCreatePersistentEntityFor` in class `AbstractMappingContext<RelationalPersistentEntity<?>,RelationalPersistentProperty>`